using NEXUS.Data.Dtos;
using NEXUS.Data.Entities;

namespace NEXUS.Data.IRepositories
{
    public interface IMortalityOzoneRepository : IRepository<T_MortalityOzone>
    {
        Task<IEnumerable<string>> QueryGeoId11ByMinPercentileAsync(Year year, int endpointId, float min);
        Task<IEnumerable<string>> QueryGeoId11ByMinValueAsync(Year year, int endpointId, double min);
    }
}
